---
title: "Retrieve a single rate for a benefit"
url: "https://developers.zinnia.com/apis/rate-configuration/versions/09cd2eb7-6cba-4d5f-b142-73e01c2ad670/operations/get-single-rate"
---

> Full API specification: https://developers.zinnia.com/apis/rate-configuration/versions/09cd2eb7-6cba-4d5f-b142-73e01c2ad670.md

# Retrieve a single rate for a benefit

`GET` `/rate-configuration/v1/getSingleRate/carriers/{carrierId}/products/{productId}/benefits/{benefitId}`

Operation ID: `get-single-rate`

Mirrors RateReadApi::getSingleRate — returns the rate series for the requested rate identifier and face amount's band

## Path parameters

- `carrierId` (string, required) - The Carrier ID
- `productId` (string, required) - The Product ID
- `benefitId` (string, required) - The Benefit ID

## Query parameters

- `rateId` (string, optional) - The rate identifier to retrieve
- `faceAmount` (number, double, optional) - Selects which band's rate series to return
- `issueAge` (integer, int32, optional) - Filter by issue age
- `gender` (string, optional) - Filter by gender
- `riskClass` (string, optional) - Filter by risk class
- `smokeClass` (string, optional) - Filter by smoke class
- `jurisdiction` (string, optional) - Optional Jurisdiction to be provided in ISO format
- `fixedCostPeriod` (integer, int32, optional) - Optional fixed cost period
- `productVersion` (string, optional) - Optional product version
- `issueDate` (string, date, optional) - Optional issue date

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - The caller's authentication token was missing or invalid.
- `403` - Forbidden
- `404` - Not Found
- `500` - Internal Server Error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Rate Configuration
  version: 1.0.0
servers:
  - url: https://dev.api.zinnia.io
    description: Development
paths:
  /rate-configuration/v1/getSingleRate/carriers/{carrierId}/products/{productId}/benefits/{benefitId}:
    get:
      tags:
        - RateRead
      operationId: get-single-rate
      summary: Retrieve a single rate for a benefit
      description: Mirrors RateReadApi::getSingleRate — returns the rate series for
        the requested rate identifier and face amount's band
      parameters:
        - name: carrierId
          in: path
          description: The Carrier ID
          required: true
          schema:
            type: string
          example: FNWL
        - name: productId
          in: path
          description: The Product ID
          required: true
          schema:
            type: string
          example: TR0101-20
        - name: benefitId
          in: path
          description: The Benefit ID
          required: true
          schema:
            type: string
          example: Base_Coverage
        - name: rateId
          in: query
          description: The rate identifier to retrieve
          schema:
            type: string
          example: POLICY_FEE
        - name: faceAmount
          in: query
          description: Selects which band's rate series to return
          schema:
            type: number
            format: double
          example: 500000
        - name: issueAge
          in: query
          description: Filter by issue age
          schema:
            type: integer
            format: int32
          example: 45
        - name: gender
          in: query
          description: Filter by gender
          schema:
            type: string
          example: FEMALE
        - name: riskClass
          in: query
          description: Filter by risk class
          schema:
            type: string
          example: PREFERREDNONTOBACCO
        - name: smokeClass
          in: query
          description: Filter by smoke class
          schema:
            type: string
          example: PREFERREDNONTOBACCO
        - name: jurisdiction
          in: query
          description: Optional Jurisdiction to be provided in ISO format
          schema:
            type: string
          example: US-PA
        - name: fixedCostPeriod
          in: query
          description: Optional fixed cost period
          schema:
            type: integer
            format: int32
            default: 0
          example: 10
        - name: productVersion
          in: query
          description: Optional product version
          schema:
            type: string
          example: 25.05.01.0
        - name: issueDate
          in: query
          description: Optional issue date
          schema:
            type: string
            format: date
          example: 2026-03-20
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: number
                  format: double
        "400":
          description: Bad Request
        "401":
          description: The caller's authentication token was missing or invalid.
        "403":
          description: Forbidden
        "404":
          description: Not Found
        "500":
          description: Internal Server Error
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  securitySchemes:
    Auth0:
      type: openIdConnect
      description: OpenId Connect authentication
      openIdConnectUrl: https://login.dev.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://dev.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://dev.api.zinnia.io
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - https
```
